Package Details: pantheon-git-meta 20200813-1

Git Clone URL: https://aur.archlinux.org/pantheon-git-meta.git (read-only, click to copy)
Package Base: pantheon-git-meta
Description: Meta package for the complete Pantheon desktop & apps
Upstream URL: http://elementary.io
Licenses: LGPL
Submitter: SolarAquarion
Maintainer: SolarAquarion
Last Packager: SolarAquarion
Votes: 0
Popularity: 0.000000
First Submitted: 2018-08-25 13:26
Last Updated: 2020-08-13 16:26

Latest Comments

quequotion commented on 2020-10-11 15:21

I don't think this is a workable concept.

Also, PKGBUILD was updated to replace switchboard with wingpanel in depends(), but .SRCINFO was not.

I was about to ask why not wingpanel-git, but I suppose that is because of the recent API change (wingpanel 3.0). This is an example of why large metapackages that pull multiple development tip dependencies are high-maintenance, if feasible at all.

DAC324 commented on 2020-09-21 08:29

This package cannot be installed.

At first, I get:

:: wingpanel-git and wingpanel are in conflict. Remove wingpanel? [y/N]
If I remove wingpanel, the install later on complains:
==> Missing dependencies:
  -> libwingpanel-2.0.so
==> Checking buildtime dependencies...
==> ERROR: Could not resolve all dependencies.
error making: pantheon-applications-menu-git
If I decide to leave wingpanel, the install aborts as well:
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: wingpanel-git and wingpanel are in conflict